<?
/*
=======================================
Дневники для Dcms-Social
Автор: Искатель
---------------------------------------
Этот скрипт распостроняется по лицензии
движка Dcms-Social. 
При использовании указывать ссылку на
оф. сайт http://dcms-social.ru
---------------------------------------
Контакты
ICQ: 587863132
http://dcms-social.ru
=======================================
*/
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

/* Бан пользователя */ 
if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)
{
header('Location: /ban.php?'.SID);exit;
}

$set['title']='Блоги';
include_once '../../sys/inc/thead.php';
title();
aut(); // форма авторизации



if (isset($_GET['sort']) && $_GET['sort'] =='t')$order='order by `time` desc';
elseif (isset($_GET['sort']) && $_GET['sort'] =='c') $order='order by `count` desc';
else $order='order by `time` desc';

if(isset($user))
{
echo'<div class="foot">';
echo "<a href=\"user.php\">Мои блоги</a> | ";
echo "<a href=\"add.php\">Создать блог</a>";
echo '</div>';
}

echo'<div class="foot">';
if (isset($_GET['sort']) && $_GET['sort'] =='t'){

echo"<b>Новые</b> | <a href='?sort=c'>Популярные</a>\n";

}elseif (isset($_GET['sort']) && $_GET['sort'] =='c'){

echo"<a href='?sort=t'>Новые</a> | <b>Популярные</b>\n";

}else{

echo"<b>Новые</b> | <a href='?sort=c'>Популярные</a>\n";

}
echo '</div>';$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog` "),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q=mysql_query("SELECT * FROM `blog` $order LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "  <div class='mess'>\n";
echo "Нет записей\n";
echo "  </div>\n";
}

while ($post = mysql_fetch_assoc($q)){
$avtor = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['id_user']."'"));
$likes = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_like` WHERE `like` = '1' AND `id_notes` = '".$post['id']."' LIMIT 1"),0);
$dir = mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_dir` WHERE `id` = '".$post['id_dir']."' "));

echo '<div class="blog_name">';

echo "<img src='/style/icons/dnev.png' alt='*'> ";
echo "<a href='list.php?id=$post[id]'>" . htmlspecialchars($post['name']) . "</a></div>";
echo '<div class="mess">';
echo rez_text(htmlspecialchars($post['msg']));
echo "<br><br>";
if($post['mod'] == '0')echo '<font color=red>На модерации</font><br>';
echo vremja($post['time'])."<br>\n";
echo 'Автор: ';
echo group($avtor['id']).' '.$avtor['nick'].' '.online($avtor['id']);
echo medal($avtor['id']);
echo '<br>Раздел:<a href="/plugins/blog/dir.php?id='.$post['id_dir'].'"> '.$dir['name'].'</a>';
echo '<span style="float:right"><img src="/style/icons/bbl5.png" alt="*"/> '.mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_notes` = '$post[id]'"),0).' <img src="/style/icons/eye.png"/> '.$post['count'].' <img src="/style/icons/like.gif" alt="*" /> '.$likes.'</span></div>';


echo "  </div>\n";

}
echo "</table>\n";

if (isset($_GET['sort'])) $dop="sort=$_GET[sort]&amp;";
else $dop='';
if ($k_page>1)str('?'.$dop.'',$k_page,$page); // Вывод страниц
include_once '../../sys/inc/tfoot.php';
?>